package com.bcxin.identify.components.ringbuffers;

import com.bcxin.identify.components.ringbuffers.events.ObjectEvent;
import com.lmax.disruptor.EventHandler;

public class ClearingEventHandler<T> implements EventHandler<ObjectEvent<T>> {
    @Override
    public void onEvent(ObjectEvent<T> event, long sequence, boolean endOfBatch) throws Exception {
        event.clear();
    }
}
